
QGIS Application - Bug report #17891

layout map item overviews don't remember selected map frames when loading pre-existing projects

2018-01-19 07:05 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25786

Description

When loading a pre-existing project (with a pre-existing layout), all map item overviews previously set lose the map frame combo box

value.

Associated revisions

Revision 20f50fba - 2018-01-22 09:14 PM - Nyall Dawson

[layouts] Fix some linked map items not correctly restored when

loading projects.

Also remove some outdated TODOs

Fixes #17892, #17891

History

#1 - 2018-01-21 06:18 AM - Mathieu Pellerin - nIRV

I should have mentioned that the map uuid is saved in the project file, it's just not restored properly when reading the project file.

#2 - 2018-01-22 09:14 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|20f50fbac90e2b8aef6729807c7ed24578c6b539.

#3 - 2018-02-21 09:50 PM - Giovanni Manghi

- Resolution set to fixed/implemented
